import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _INDateComponentsRange } from "./INDateComponentsRange.js";
import type { INMediaItemType } from "./INMediaItemType.js";
import type { INMediaReference } from "./INMediaReference.js";
import type { INMediaSortOrder } from "./INMediaSortOrder.js";
export declare class _INMediaSearch extends _NSObject {
    static alloc(): _INMediaSearch;
    static new(): _INMediaSearch;
    init(): _INMediaSearch;
    initWithMediaType$sortOrder$mediaName$artistName$albumName$genreNames$moodNames$releaseDate$reference$mediaIdentifier$(mediaType: INMediaItemType, sortOrder: INMediaSortOrder, mediaName: _NSString | null, artistName: _NSString | null, albumName: _NSString | null, genreNames: _NSArray | null, moodNames: _NSArray | null, releaseDate: _INDateComponentsRange | null, reference: INMediaReference, mediaIdentifier: _NSString | null): _INMediaSearch;
    mediaType(): INMediaItemType;
    sortOrder(): INMediaSortOrder;
    mediaName(): _NSString | null;
    artistName(): _NSString | null;
    albumName(): _NSString | null;
    genreNames(): _NSArray | null;
    moodNames(): _NSArray | null;
    releaseDate(): _INDateComponentsRange | null;
    reference(): INMediaReference;
    mediaIdentifier(): _NSString | null;
    /** @deprecated Use `moodNames` property instead. */
    activityNames(): _NSArray | null;
}
export interface _INMediaSearch extends _NSCopying, _NSSecureCoding {
}
